3

I was able to run Geoserver. Unfortunately, I doing my projects in the QGIS and styles are encoded in the SLD 1.1. (not supported by GeoServer v. 1.1 only in v. 1.0).

In view of the above I would like to install on OpenShift QGIS Server. But I can not find anywhere instruction "for dummies".

  • Qgis Sld is broken, geoserver is able to handle sld 1.1 – Ian Turton Jan 17 '15 at 17:58
  • Can you tell me what kind of program generates correct SLD for GeoServer. Does such a program exist? I know uDig, but it was't able to make the correct style for lines spaced (buffer) from the baseline "to the right" and "to the left" (there is no problem with horizontal or vertical line, but with a shift line I have a problem). – Patrick Jan 18 '15 at 18:24
  • I use a text editor. – Ian Turton Jan 18 '15 at 18:26
  • Good for You :) Unfortunately I just starting the adventure with Web-GIS and I prefer WYSIWIG style builder (I hope I good wrote it). I have studied the language of the SLD and when I will have problems, let me ask you for advice. In this package is my example shp layer and style saved as SLD and QML (prepare for scale 1:1000, space between first and second edge lines must be full transparent). Unfortunately, now I can not translate it for GeoServer – Patrick Jan 19 '15 at 0:10
1

Read the part here on creating your own cartridge:

https://developers.openshift.com/get-involved/extend-openshift.html

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.